spira spira

angular-jwt-auth

24 26 1

Angular authentication module with JSON Web tokens.

You have 1 open security alert

Dependencies

Package Locked Requirement Latest Status Changelog
Bower angular >=1.4 1.6.1

This dependency is up-to-date. Congrats and keep going!

Bower angular-cookies ~1.4.3 1.6.1

This dependency is not matching latest version. Please consider upgrading.

Bower angular-utf8-base64 ~0.0.5 0.0.5

This dependency is up-to-date. Congrats and keep going!

Bower lodash 3.10.1 4.17.4

This dependency is not matching latest version. Please consider upgrading.

Bower moment ~2.10.3 2.17.1

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Bower angular-mocks ~1.4.3 1.6.1

This dependency is not matching latest version. Please consider upgrading.

Npms bower ^1.4.1 1.8.0

bower

The browser package manager

This dependency is up-to-date. Congrats and keep going!

Bower chance ~0.7.6 1.0.4

This dependency is not matching latest version. Please consider upgrading.

Npms del ^1.2.0 2.2.2

del

Delete files and folders

This dependency is not matching latest version. Please consider upgrading.

Npms event-stream ^3.3.1 3.3.4

event-stream

construct pipes of streams of events

This dependency is up-to-date. Congrats and keep going!

Bower faker ~0.0.2 0.0.2

This dependency is up-to-date. Congrats and keep going!

Npms globby ^2.1.0 6.1.0

globby

Extends `glob` with support for multiple patterns and exposes a Promise API

This dependency is not matching latest version. Please consider upgrading.

Npms gulp ^3.9.0 3.9.1

gulp

The streaming build system

This dependency is up-to-date. Congrats and keep going!

Npms gulp-bump ^0.3.1 2.5.1

gulp-bump

Bump npm versions with Gulp (gulpjs.com)

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-clean ^0.3.1 0.3.2

gulp-clean

A gulp plugin for removing files and folders.

This dependency is up-to-date. Congrats and keep going!

Npms gulp-concat ^2.5.2 2.6.1

gulp-concat

Concatenates files

This dependency is up-to-date. Congrats and keep going!

Npms gulp-coveralls ^0.1.4 0.1.4

gulp-coveralls

Gulp plugin to submit code coverage to Coveralls

This dependency is up-to-date. Congrats and keep going!

Npms gulp-filter ^2.0.2 5.0.0

gulp-filter

Filter files in a Vinyl stream

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-git ^1.2.4 1.12.0

gulp-git

Git plugin for gulp (gulpjs.com)

This dependency is up-to-date. Congrats and keep going!

Npms gulp-help ^1.6.0 1.6.1

gulp-help

Adds a default help task to gulp and provides the ability to add custom help messages to your gulp tasks

This dependency is up-to-date. Congrats and keep going!

Npms gulp-inject ^1.3.1 4.2.0

gulp-inject

A javascript, stylesheet and webcomponent injection plugin for Gulp, i.e. inject file references into your index.html

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-karma 0.0.4 0.0.5

gulp-karma

Karma plugin for gulp

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-load-plugins ^1.0.0-rc.1 1.4.0

gulp-load-plugins

Automatically load any gulp plugins in your package.json

This dependency is up-to-date. Congrats and keep going!

Npms gulp-mocha ^2.1.1 3.0.1

gulp-mocha

Run Mocha tests

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-replace ^0.5.3 0.5.4

gulp-replace

A string replace plugin for gulp

This dependency is up-to-date. Congrats and keep going!

Npms gulp-sourcemaps ^1.5.2 2.4.0

gulp-sourcemaps

Source map support for Gulp.js

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-tag-version ^1.2.1 1.3.0

gulp-tag-version

Tag git repository with current package version

This dependency is up-to-date. Congrats and keep going!

Npms gulp-tap ^0.1.3 0.1.3

gulp-tap

Easiest way to tap into a pipeline

This dependency is up-to-date. Congrats and keep going!

Npms gulp-typescript ^2.7.6 3.1.4

gulp-typescript

A typescript compiler for gulp with incremental compilation support.

This dependency is not matching latest version. Please consider upgrading.

Npms gulp-util ^3.0.5 3.0.8

gulp-util

Utility functions for gulp plugins

This dependency is up-to-date. Congrats and keep going!

Npms inquirer ^0.8.5 2.0.0

inquirer

A collection of common interactive command line user interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms istanbul bryanforbes/istanbul#source-map-resolve 0.4.5

istanbul

Yet another JS code coverage tool that computes statement, line, function and branch coverage with module loader hooks to transparently add coverage when running tests. Supports all JS coverage use cases including unit tests, server side functional tests

Npms karma ^0.12.31 1.4.0

karma

Spectacular Test Runner for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-chai ^0.1.0 0.1.0

karma-chai

Chai for Karma

This dependency is up-to-date. Congrats and keep going!

Npms karma-chai-as-promised ^0.1.2 0.1.2

karma-chai-as-promised

Chai-as-promised plugin for karma

This dependency is up-to-date. Congrats and keep going!

Npms karma-chai-plugins ^0.6.0 0.8.0

karma-chai-plugins

Chai browser plugins set for Karma

This dependency is not matching latest version. Please consider upgrading.

Npms karma-chrome-launcher ^0.2.0 2.0.0

karma-chrome-launcher

A Karma plugin. Launcher for Chrome and Chrome Canary.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-coverage gotwarlost/karma-coverage.git#source-lookup 1.1.1

karma-coverage

A Karma plugin. Generate code coverage.

Npms karma-mocha ^0.2.0 1.3.0

karma-mocha

A Karma plugin. Adapter for Mocha testing framework.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-mocha-reporter ^1.0.2 2.2.1

karma-mocha-reporter

Karma reporter with mocha style logging.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-phantomjs-launcher ^0.1.4 1.0.2

karma-phantomjs-launcher

A Karma plugin. Launcher for PhantomJS.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-sinon ^1.0.4 1.0.5

karma-sinon

Sinon for Karma

This dependency is up-to-date. Congrats and keep going!

Npms karma-sinon-chai ^1.0.0 1.2.4

karma-sinon-chai

Sinon and Chai for Karma

This dependency is up-to-date. Congrats and keep going!

Npms lodash ^3.9.3 4.17.4

lodash

Lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms main-bower-files ^2.8.2 2.13.1

main-bower-files

Get main files from your installed bower packages.

This dependency is up-to-date. Congrats and keep going!

Npms merge2 ^0.3.6 1.0.3

merge2

Merge multiple streams into one stream in sequence or parallel.

This dependency is not matching latest version. Please consider upgrading.

Npms minimatch ^2.0.8 3.0.3

minimatch

a glob matcher in javascript

Security alert:

Npms mocha ^2.2.5 3.2.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms requirejs ^2.1.18 2.3.2

requirejs

Node adapter for RequireJS, for loading AMD modules. Includes RequireJS optimizer

This dependency is up-to-date. Congrats and keep going!

Npms run-sequence ^1.1.1 1.2.2

run-sequence

Run a series of dependent gulp tasks in order

This dependency is up-to-date. Congrats and keep going!

Npms sinon 1.14.1 1.17.7

sinon

JavaScript test spies, stubs and mocks.

This dependency is not matching latest version. Please consider upgrading.

Npms tsd ^0.6.3 0.6.5

tsd

TypeScript Definition manager for DefinitelyTyped

This dependency is up-to-date. Congrats and keep going!

Npms typescript ^1.5.0-beta 2.1.5

typescript

TypeScript is a language for application scale JavaScript development

This dependency is not matching latest version. Please consider upgrading.